package com.phlx.anchorcollect.ui.info;

import androidx.annotation.NonNull;
import androidx.databinding.ObservableField;

import com.phlx.anchorcollect.Configs;
import com.phlx.anchorcollect.entity.CardEntity;
import com.phlx.anchorcollect.entity.ImmuneEntity;
import com.phlx.anchorcollect.entity.MedicalEntity;
import com.phlx.anchorcollect.entity.PerformanceEntity;
import com.phlx.anchorcollect.ui.fragment.vm.CollectListVM;

import me.goldze.mvvmhabit.base.ItemViewModel;
import me.goldze.mvvmhabit.binding.command.BindingAction;
import me.goldze.mvvmhabit.binding.command.BindingCommand;

public class CattleItem extends ItemViewModel<CattleVM> {

    public ObservableField<String> key = new ObservableField<>("");
    public ObservableField<String> value = new ObservableField<>("");


    public CattleItem(@NonNull CattleVM viewModel, String key,String value) {
        super(viewModel);
        this.key.set(key);
        this.value.set(value);
    }
}
